require "feathr/version"
require "feathr/config"
require "feathr/client"

require 'feathr/api/feathr_endpoint'
require 'feathr/api/feathr_object'
require 'feathr/api/feathr_error'

require 'feathr/api/account'
require 'feathr/api/cashout'
require 'feathr/api/contractor'
require 'feathr/api/income'
require 'feathr/api/income_request'
require 'feathr/api/invoice'
require 'feathr/api/manager'
require 'feathr/api/membership'
require 'feathr/api/membership_request'
require 'feathr/api/platform'
require 'feathr/api/rebate'
require 'feathr/api/receiveable'
require 'feathr/api/user'

require 'feathr/api/api_token_auth'
require 'feathr/api/api_token_refresh'
require 'feathr/api/api_token_verify'
require 'feathr/api/accounts'
require 'feathr/api/cashouts'
require 'feathr/api/contractors'
require 'feathr/api/featured_platforms'
require 'feathr/api/healthz'
require 'feathr/api/incomes'
require 'feathr/api/income_requests'
require 'feathr/api/invoices'
require 'feathr/api/managers'
require 'feathr/api/memberships'
require 'feathr/api/membership_requests'
require 'feathr/api/platforms'
require 'feathr/api/public_platforms'
require 'feathr/api/rebates'
require 'feathr/api/receiveables'
require 'feathr/api/reset_password'
require 'feathr/api/users'

module Feathr
  class << self

    def configure
      if block_given?
        yield(Feathr::Config.default)
      else
        Feathr::Config.default
      end
    end

  end
end
