module Feathr
  module Api

    class Cashouts < Feathr::Api::FeathrEndpoint
      api_path 'cashouts'
      feathr_object Feathr::Api::Cashout
      feathr_endpoints :find, :all, :create

      def available
        url = api_path.gsub('cashouts/', 'cashout_available/')
        client.request(method: :get, path: url)
      end

      def fees(amount)
        url = api_path.gsub('cashouts/', 'cashout_available/')
        query = { amount: amount }
        client.request(method: :post, path: url, query: query)
      end
    end

  end
end
