module Feathr
  module Api

    class ApiTokenAuth < Feathr::Api::FeathrEndpoint
      api_path 'api-token-auth'

      def authenticate(email:, password:)
        query = { email: email, password: password }
        client.request(method: :post, path: api_path, query: query)
      end
    end

  end
end
