module Feathr
  module Api

    class Membership < Feathr::Api::FeathrObject
      api_path 'memberships'

      def initialize(data)
        @data = data
      end

      def path
        api_path
      end

      def user
        id = data["user"][/\/(\d*)\/$/, 1]
        Feathr::Api::Users.new.find(id)
      end

      def platform
        id = data["platform"][/\/(\d*)\/$/, 1]
        Feathr::Api::Platforms.new.find(id)
      end
    end

  end
end
