module Feathr
  module Api

    class Users < Feathr::Api::FeathrEndpoint
      api_path 'users'
      feathr_object Feathr::Api::User
      feathr_endpoints :all, :find, :update, :create

      def me
        path = api_path + 'me'
        response = client.request(method: :get, path: path) do |data|
          id = data["url"][/\/(\d*)\/$/, 1]
          feathr_object.new(data, id)
        end
      end
    end

  end
end
